
drop table if exists PLUTAR;

create table PLUTAR (
	PLUTAR_ID	bigint(20) not null	,
	PLUTAR_ACTION	varchar(128)		,
	PLUTAR_ETAT	enum('waiting','runing','done', 'failed', 'canceled'),
	
	PLUTAR_DTMOD	timestamp			,
	PLUTAR_DTDO	timestamp			,
	PLUTAR_DTWAIT	timestamp			,
	PLUTAR_DTRUN	timestamp			,
	PLUTAR_DTDONE	timestamp			,
	PLUTAR_DTFAILED	timestamp			,
	PLUTAR_CANCELED	timestamp			,

	PLUTAR_NBRUN	integer	not null default 0	,
	
	PRIMARY KEY (PLUTAR_ID)	,
	index(PLUTAR_ETAT, PLUTAR_DTDO),
	index(PLUTAR_ETAT, PLUTAR_DTDONE)
)
engine=MyISAM default charset = utf8;

replace into SEQ values ('PLUTAR_ID', 0, 0, 18446744073709551615, 1, 0);

drop table if exists PROPPLUTAR;

create table PROPPLUTAR (
	PROPPLUTAR_ID bigint(20) NOT NULL default '0',
	PLUTAR_ID bigint(20) default NULL,
	PROPPLUTAR_NOM varchar(70) default NULL,
	PROPPLUTAR_VAL text,
	PROPPLUTAR_PAR bigint(20) default NULL,
	primary key(PROPPLUTAR_ID),
	index(PROPPLUTAR_NOM),
	index(PROPPLUTAR_VAL(100)),
	index(PROPPLUTAR_NOM,PROPPLUTAR_VAL(100)),
	index(PLUTAR_ID)
)
engine=MyISAM default charset = utf8;


replace into SEQ values ('PROPPLUTAR_ID', 0, 0, 18446744073709551615, 1, 0);

