
drop table if exists EVENT;
create table EVENT (
	EVENT_ID int(11) UNIQUE NOT NULL default '0',
	EVENT_EVENT varchar(90) UNIQUE NOT NULL default '',
	EVENT_DATE timestamp NOT NULL,
	primary key  (EVENT_ID),
	index (EVENT_EVENT)
);

replace into SEQ values ('EVENT_ID',0,0,2147483647,1,'');

drop table if exists PROPEVENT;
create table PROPEVENT (
	PROPEVENT_ID int(11) UNIQUE NOT NULL default '0',
	EVENT_ID int(11) default NULL,
	PROPEVENT_NOM varchar(70) default NULL,
	PROPEVENT_VAL text,
	PROPEVENT_PAR int(11) default NULL,
	PROPEVENT_DTMOD timestamp NOT NULL,
	PROPEVENT_DTIN timestamp NOT NULL default '00000000000000',
	primary key  (PROPEVENT_ID),
	index(EVENT_ID)
);

replace into SEQ values ('PROPEVENT_ID',0,0,2147483647,1,'');

drop table if exists TASK;
create table TASK (
	TASK_ID int(11) UNIQUE NOT NULL default '0',
	TASK_TYPE varchar(20) NOT NULL default 'atomic',
	TASK_NAME varchar(20) NOT NULL default '',
	TASK_KEY varchar(80) UNIQUE NOT NULL default '',
	TASK_STATE enum('init','running','failed','done') default 'init',
	TASK_NBCHILD int(11) NOT NULL default '0',
	TASK_DTMOD timestamp NOT NULL,
	TASK_DTIN timestamp NOT NULL default '00000000000000',
	primary key  (TASK_ID),
	index (TASK_KEY)
);

replace into SEQ values ('TASK_ID',0,0,2147483647,1,'');

drop table if exists PROPTASK;
create table PROPTASK (
	PROPTASK_ID int(11) UNIQUE NOT NULL default '0',
	TASK_ID int(11) default NULL,
	PROPTASK_NOM varchar(70) default NULL,
	PROPTASK_VAL text,
	PROPTASK_PAR int(11) default NULL,
	PROPTASK_DTMOD timestamp NOT NULL,
	PROPTASK_DTIN timestamp NOT NULL default '00000000000000',
	primary key  (PROPTASK_ID),
	index (TASK_ID)
);

replace into SEQ values ('PROPTASK_ID',0,0,2147483647,1,'');

drop table if exists TASKSELF;
create table TASKSELF (
	TASK_ID int(11) NOT NULL default '0',
	SELF_ID int(11) NOT NULL default '0',
	TASKSELF_ORDER int(11) NOT NULL default '0',
	index (TASK_ID),
	index (SELF_ID),
	index (TASK_ID,SELF_ID)
);

drop table if exists RUN;
create table RUN (
	RUN_ID int(11) UNIQUE NOT NULL default '0',
	TASK_ID int(11) NOT NULL default '0',
	RUN_EVENT varchar(70) NOT NULL default '',
	RUN_DATE timestamp NOT NULL,
	RUN_STATE enum('free','busy') NOT NULL default 'free',
	primary key  (RUN_ID),
	index(TASK_ID),
	index(RUN_EVENT)
);

replace into SEQ values ('RUN_ID',0,0,2147483647,1,'');

drop table if exists WAITING;
create table WAITING (
	WAITING_ID int(11) UNIQUE NOT NULL default '0',
	TASK_ID int(11) NOT NULL default '0',
	WAITING_EVENT varchar(70) NOT NULL default '',
	WAITING_DATE timestamp NOT NULL,
	primary key  (WAITING_ID),
	index(TASK_ID),
	index(WAITING_EVENT)
);
replace into SEQ values ('WAITING_ID',0,0,2147483647,1,'');

