package FDN::Sql::Loader;

use strict;
use warnings;
use base 'Exporter';
use Data::Dumper;
use Carp;

our @EXPORT = qw (
        add_loader
	__access
);

my $whats = {};
my $loaders = {};
my $loading = {};

sub __load($) {
        my ( $what ) = @_;
        if ( ! defined $loaders->{$what} ) {
                die "I don't know how to load a $what.";
        }
        if ( $loading->{$what} ) {
                confess "Loop detected: you are trying to load $what while loading it...";
        }
        $loading->{$what} = 1;
        my $var = {};
        my $steps = [ keys %{$loaders->{$what}} ];
        for my $s ( sort { $a <=> $b } @$steps ) {
                for my $fct ( @{$loaders->{$what}->{$s}} ) {
                        if ( ref($fct) ne 'CODE') {
                                die "Loader for $what on step $s is not a code-ref: $fct is ".Dumper($fct);
                        }
                        $var = &$fct($var);
                }
        }
        $loading->{$what} = 0;

        $whats->{$what} = $var;
}

sub add_loader($$$) {
        my ( $what, $step, $fct ) = @_;

        if ( exists $whats->{$what} && defined $whats->{$what} ) {
                confess "We did add a loader on $what after it has been accessed, which sounds like a bad idea. Please fix.";
        }
        $loaders->{$what} = {} if ! exists $loaders->{$what};
        $loaders->{$what}->{$step} = [] if ! exists $loaders->{$what}->{$step};
        push @{$loaders->{$what}->{$step}}, $fct;
}


sub __access($) {
        my ( $what ) = @_;
        __load($what) if ! exists $whats->{$what};
        return $whats->{$what};
}

1;

