# This file is part of the "FDN tools" project.
# You can use and redistribute it under the terms of the
# GNU General Public License.
# (c) French Data Network 1997-2006
# Authors and contributors:
# - Benjamin Bayart
package FDN::Sql::Villes::Basic;

use strict;
use Exporter ;
our @ISA = ( 'Exporter' ) ;
our @EXPORT = qw (
	villes_select_db
	villes_close_db

	new_mapvil
	mapvil_par_id
	mapvil_par_zip
	
);
our @EXPORT_OK = ();

use FDN::Common::Logger;
use FDN::Sql::Basic;
use FDN::Sql::DBC;

our $debug = 0;

sub __debug($) { # Test
	return if ( ! $debug );
	debug $_[0];
}

my $dbh;

sub villes_select_db ($) { # Test
	my ( $db ) = @_;
	$dbh = do_connect($db);
	return $dbh;
}

sub villes_close_db() {
	do_disconnect($dbh);
}

# Table MAPVIL

sub new_mapvil($$$$$$$) {
	my ( $x, $y, $zip, $insee, $region, $dpt, $nom ) = @_;
	return undef if ( ! defined $dbh );
	return __new( $dbh, 'MAPVIL',
			'MAPVIL_X='.dochar($x),
			'MAPVIL_Y='.dochar($y),
			'MAPVIL_ZIP='.dochar($zip),
			'MAPVIL_INSEE='.dochar($insee),
			'MAPVIL_REGION='.dochar($region),
			'MAPVIL_DPT='.dochar($dpt),
			'MAPVIL_NOM='.dochar($nom));
}

sub mapvil_par_id($) {
	my ( $id ) = @_;
	return undef if ( ! defined $dbh );
	return __par_id($dbh, 'MAPVIL', $id);
}

sub mapvil_par_zip($) {
	my ( $zip ) = @_;
	return undef if ( ! defined $dbh );
	return __par_clef($dbh, 'MAPVIL', $zip, 'MAPVIL_ZIP' );
}

1 ;
